> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MCP server full detail

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | MCP_REGISTRY | READ | MCP_REGISTRY:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /registry/v1/mcp-servers/{mcpServerId}/detail
openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.swarmd.ai
    description: Production
  - url: https://api.sandbox.swarmd.ai
    description: Sandbox
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Webhooks
    x-displayName: Webhooks
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: Conversations
    x-displayName: Conversations
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agents
    x-displayName: Agents
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /registry/v1/mcp-servers/{mcpServerId}/detail:
    get:
      tags:
        - MCP Servers
      summary: Get MCP server full detail
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | MCP_REGISTRY | READ | MCP_REGISTRY:READ |
      operationId: getMcpServerDetail
      parameters:
        - name: mcpServerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/McpServerDetailResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    McpServerDetailResponse:
      type: object
      properties:
        mcpServerId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        relayServerUrl:
          type: string
        healthCheckUrl:
          type: string
        transport:
          type: string
          enum:
            - STREAMABLE_HTTP
            - SSE
        protocolVersion:
          type: string
        visibility:
          type: string
          enum:
            - PUBLIC
            - PRIVATE
            - INTERNAL
        registrationStatus:
          type: string
        healthStatus:
          type: string
        uptimePercentage:
          type: number
          format: double
        subscriptionCount:
          type: integer
          format: int32
        authDetails:
          oneOf:
            - $ref: '#/components/schemas/ApiKey'
            - $ref: '#/components/schemas/Bearer'
            - $ref: '#/components/schemas/None'
            - $ref: '#/components/schemas/OAuth2'
        listingSummary:
          type: string
        listingTags:
          type: array
          items:
            type: string
        documentationUrl:
          type: string
    ApiKey:
      type: object
      allOf:
        - $ref: '#/components/schemas/McpAuthDetails'
        - type: object
          properties:
            header:
              type: string
    Bearer:
      type: object
      allOf:
        - $ref: '#/components/schemas/McpAuthDetails'
    None:
      type: object
      allOf:
        - $ref: '#/components/schemas/McpAuthDetails'
    OAuth2:
      type: object
      allOf:
        - $ref: '#/components/schemas/McpAuthDetails'
        - type: object
          properties:
            clientId:
              type: string
            tokenUrl:
              type: string
            scopes:
              type: array
              items:
                type: string
    McpAuthDetails:
      type: object
      properties:
        scheme:
          type: string
          enum:
            - NONE
            - BEARER
            - API_KEY
            - OAUTH2_CLIENT_CREDENTIALS
      discriminator:
        propertyName: scheme
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````